﻿@using EReader.BL.Domain
@model IEnumerable<Book>

@{
    ViewBag.Title = "Alle boeken"; // = ViewData["Title"] = "Alle boeken";
    // (1) ViewData/ViewBag
    //IEnumerable<Book> books = (IEnumerable<Book>) ViewBag.Books;
    // (2) ViewModel
    IEnumerable<Book> books = Model;
}

<h2>Alle boeken</h2>
<ul>
    @foreach (Book book in books)
    {
        <li>@book.Title</li>
    }
</ul>
<a @*href="/Book/Add"*@ @*asp-controller="Book"*@ asp-action="Add" class="btn">Nieuw boek</a>

<h2>Nieuw Book</h2>
<partial name="_AddBookFormPartial" model="null"/>
